Get all mass assignment changes dashboard
get
/hcmRestApi/resources/11.13.18.05/massAssignmentChangeDashboard
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds mass assignment changes that match the specified primary key.
Finder Variables- MassActionHeaderId; integer; Unique identifier for mass action header for finding by primary key.
- PrimaryKey Finds mass assignment changes that match the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActionId; integer; Unique identifier for action for mass assignment change dashboard.
- ActionName; string; Action name for mass assignment change dashboard.
- CreatedBy; string; Name of the person who created the mass assignment change dashboard.
- EffectiveDate; string; Effective date for checking mass change access.
- Initiator; string; Initiator for mass assignment change dashboard.
- MassActionHeaderId; integer; Mass action header ID for mass assignment change dashboard.
- Name; string; Name for mass assignment change dashboard.
- Status; string; Status for mass assignment change dashboard.
- StatusComplete; number; Completed for mass assignment change dashboard.
- StatusError; number; Errors for mass assignment change dashboard.
- StatusMeaning; string; Status meaning for mass assignment change dashboard.
- StatusWarning; number; Warnings for mass assignment change dashboard.
- Total; integer; Total for mass assignment change dashboard.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : massAssignmentChangeDashboard
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : massAssignmentChangeDashboard-item-response
Type:
Show Source
object-
ActionId: integer
(int64)
Read Only:
trueUnique identifier for action for mass assignment change dashboard. -
ActionName: string
Title:
ActionRead Only:trueMaximum Length:80Action name for mass assignment change dashboard. -
CreatedBy: string
Title:
InitiatorRead Only:trueMaximum Length:64Name of the person who created the mass assignment change dashboard. -
EffectiveDate: string
(date)
Title:
Effective DateRead Only:trueEffective date for checking mass change access. -
Initiator: string
Title:
InitiatorRead Only:trueMaximum Length:240Initiator for mass assignment change dashboard. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MassActionHeaderId: integer
Read Only:
trueMass action header ID for mass assignment change dashboard. -
Name: string
Title:
NameRead Only:trueMaximum Length:80Name for mass assignment change dashboard. -
Status: string
Title:
StatusRead Only:trueMaximum Length:30Status for mass assignment change dashboard. -
StatusComplete: number
Title:
SucceededRead Only:trueCompleted for mass assignment change dashboard. -
StatusError: number
Title:
FailedRead Only:trueErrors for mass assignment change dashboard. -
StatusMeaning: string
Title:
StatusRead Only:trueMaximum Length:80Status meaning for mass assignment change dashboard. -
StatusWarning: number
Title:
WarningRead Only:trueWarnings for mass assignment change dashboard. -
Total: integer
(int64)
Title:
TotalRead Only:trueTotal for mass assignment change dashboard.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- canMassChangeAccess
-
Operation: /hcmRestApi/resources/11.13.18.05/massAssignmentChangeDashboard/action/canMassChangeAccessChecks whether you can access mass assignment changes.
- findByAdvancedSearchQuery
-
Operation: /hcmRestApi/resources/11.13.18.05/massAssignmentChangeDashboard/action/findByAdvancedSearchQueryReturns mass assignment changes that match the specified search criteria.